Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class AstBrowser

    java.lang.Object
      groovy.inspect.swingui.AstBrowser

    class AstBrowser
    extends Object

This object is a GUI for looking at the AST that Groovy generates. Usage: java groovy.inspect.swingui.AstBrowser [filename] where [filename] is an existing Groovy script.

Authors:
  Hamlet D'Arcy (hamletdrc@gmail.com)
  Guillaume Laforge, highlighting the code corresponding to a node selected in the tree view
  Roshan Dawrani - separated out the swing UI related code from the model part so model could be used for various UIs

Property Summary
`GroovyClassLoader` | `classLoader`
`def` | `frame`
`def` | `prefs`
`boolean` | `showScriptClass`
`boolean` | `showScriptFreeForm`
`def` | `swing`

Constructor Summary
`AstBrowser(def inputArea, def rootElement, def classLoader)`

Method Summary
`void` | `compile(def jTree, String script, int compilePhase)`
`void` | `decompile(def phaseId, def source)`
`void` | `largerFont(EventObject evt = null)`
`static void` | `main(def args)`
`void` | `run(Closure script)`
`void` | `run(Closure script, String name)`
`void` | `showAbout(EventObject evt)`
`void` | `showScriptClass(EventObject evt)`
`void` | `showScriptFreeForm(EventObject evt)`
`void` | `smallerFont(EventObject evt = null)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### classLoader

    GroovyClassLoader classLoader

### frame

    def frame

### prefs

    def prefs

### showScriptClass

    boolean showScriptClass

### showScriptFreeForm

    boolean showScriptFreeForm

### swing

    def swing

Constructor Detail

### AstBrowser

    AstBrowser(def inputArea, def rootElement, def classLoader)

Method Detail

### compile

    void compile(def jTree, String script, int compilePhase)

### decompile

    void decompile(def phaseId, def source)

### largerFont

    void largerFont(EventObject evt = null)

### main

    static void main(def args)

### run

    void run(Closure script)

### run

    void run(Closure script, String name)

### showAbout

    void showAbout(EventObject evt)

### showScriptClass

    void showScriptClass(EventObject evt)

### showScriptFreeForm

    void showScriptFreeForm(EventObject evt)

### smallerFont

    void smallerFont(EventObject evt = null)

Copyright © 2003-2010 The Codehaus. All rights reserved.